| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
Tools
Tools.AutoDoc
Tools.AutoDoc.ProcessXML

# Method Tools.AutoDoc.ProcessXML.moveImages()

Method moveImages

  `string moveImages(string docXMLFile, string imageSourceDir, string imageDestDir, int|void quiet)`

Description

  Copy all images to canonical files in a flat directory.

Parameter `docXMLFile`

  The contents of the XML file. The XML file is the result of extraction from a single C or Pike file, for example the result of calling extractXML .

Parameter `imageSourceDir`

  The directory that is the base of the relative paths to images. This should be the directory of the source file that was the input to extract the XML file.

Parameter `imageDestDir`

  The directory where the images should be copied.

Parameter `quiet`

  Quiet operation.

Returns

  The XML file contents (with decorated <image>-tags)